$packageName = 'dart-sdk'

$url = 'https://storage.googleapis.com/dart-archive/channels/beta/release/2.10.0-110.5.beta/sdk/dartsdk-windows-ia32-release.zip'
$url64 = 'https://storage.googleapis.com/dart-archive/channels/beta/release/2.10.0-110.5.beta/sdk/dartsdk-windows-x64-release.zip'

$unzipLocation = Get-ToolsLocation
$installDir = Join-Path $unzipLocation "dart-sdk"

Install-ChocolateyPath "$installDir\bin"
Install-ChocolateyPath "${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"
$env:Path = "$($env:Path);$installDir\bin;${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"

if (test-path $installDir) {
	Remove-Item $installDir -Recurse -Force
}

$packageArgs = @{
  packageName    = $packageName
  url            = $url
  url64bit       = $url64
  unzipLocation  = $unzipLocation
  checksum       = '0278fcd92076761c3f3e0ac72b9fdaed0196b78f1f92f80c312be45646541c4d'
  checksumType   = 'sha256'
  checksum64     = '73fb041fe9df5b860e306a91eb30587efcb795e73897898bb6891b880bf166f8'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
